package com.ningdatech.pmapi.filemanage.controller;

import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.filemanage.manage.DocumentationManage;
import com.ningdatech.pmapi.filemanage.model.param.DocumentationListParam;
import com.ningdatech.pmapi.filemanage.model.vo.DocumentationVO;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @Classname DocumentationController
 * @Description
 * @Date 2023/6/6 15:48
 * @Author PoffyZhang
 */
@RestController
@AllArgsConstructor
@Api(tags = "档案管理-资料文档控制器")
@RequestMapping("/api/v1/file-manage/documentation")
public class DocumentationController {

    private final DocumentationManage documentationManage;

    @GetMapping("/list")
    public PageVo<DocumentationVO> list(@ModelAttribute DocumentationListParam param){
        return documentationManage.list(param);
    }
}
